---
title: k2
slug: Web/SVG/Attribute/k2
tags:
  - Filters
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>k2</code></strong> attribute defines one of the values to be used within the <code>arithmetic</code> operation of the {{SVGElement("feComposite")}} filter primitive.</p>

<p>The pixel composition is computed using the following formula:</p>

<pre class="brush: plain">result = k1*i1*i2 + {{SVGAttr("k2")}}*i1 + {{SVGAttr("k3")}}*i2 + {{SVGAttr("k4")}}</pre>

<p>Only one element is using this attribute: {{SVGElement("feComposite")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html; highlight[3,6]">&lt;svg viewBox="0 0 420 200" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;filter id="composite1" x="0" y="0" width="100%" height="100%"&gt;
    &lt;feComposite in2="SourceGraphic" operator="arithmetic" k1="1" k2="1" k3="0" k4="0" /&gt;
  &lt;/filter&gt;
  &lt;filter id="composite2" x="0" y="0" width="100%" height="100%"&gt;
    &lt;feComposite in2="SourceGraphic" operator="arithmetic" k1="1" k2="10" k3="0" k4="0" /&gt;
  &lt;/filter&gt;

  &lt;image href="https://mdn.mozillademos.org/files/12668/MDN.svg" x="0" y="0"
      width="200" height="200" style="filter: url(#composite1);" /&gt;
  &lt;image href="https://mdn.mozillademos.org/files/12668/MDN.svg" x="0" y="0"
      width="200" height="200" style="filter: url(#composite2); transform: translateX(220px);" /&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "420", "200")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td>{{cssxref("number")}}</td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Filters 1.0", "#element-attrdef-fecomposite-k2", "k2")}}</td>
   <td>{{Spec2("Filters 1.0")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#feCompositeK2Attribute", "k2")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.feComposite.k2")}}</p>
